Package net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl

# Class ContextAuthorityEntityIDResolver

java.lang.Object
net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl.ContextAuthorityEntityIDResolver

All Implemented Interfaces:
  `AttributeAuthorityEntityIDResolver`

public class ContextAuthorityEntityIDResolver extends Object implements AttributeAuthorityEntityIDResolver
An implementation of `AttributeAuthorityEntityIDResolver` which resolves from the `AttributeAuthorityEntityIDContext` child of the input `AttributeResolutionContext` if present.

## Constructor Summary

Constructors
Constructor
Description
`ContextAuthorityEntityIDResolver()`

## Method Summary

Modifier and Type
Method
Description
`String`
`resolve(AttributeResolutionContext resolutionContext, Map<String,List<IdPAttributeValue>> dependencyAttributes)`
Resolve the entity ID of the attribute authority to use in query.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContextAuthorityEntityIDResolver

public ContextAuthorityEntityIDResolver()

## Method Details

### resolve

@Nullable public String resolve(@Nonnull AttributeResolutionContext resolutionContext, @Nonnull Map<String,List<IdPAttributeValue>> dependencyAttributes) throws ResolutionException
Resolve the entity ID of the attribute authority to use in query.

Specified by:
  `resolve` in interface `AttributeAuthorityEntityIDResolver`
Parameters:
  `resolutionContext` - the attribute resolution context in effect for the query
  `dependencyAttributes` - the dependency attributes in effect for the query
Returns:
  the entity ID, may be null
Throws:
  `ResolutionException` - if there is a fatal error during processing